Management (The Data Transfer Scheduler Service 2.0.0-4.7.1-126202 API)
Date: 2017-10-17

org.gcube.datatransfer.scheduler.impl.porttype

## Class Management

- java.lang.Object
- - org.gcube.common.core.porttypes.GCUBEPortType
  - - org.gcube.datatransfer.scheduler.impl.porttype.Management

- All Implemented Interfaces:
    javax.xml.rpc.server.ServiceLifecycle

      public class Management
      extends org.gcube.common.core.porttypes.GCUBEPortType

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.gcube.datatransfer.scheduler.db.DataTransferDBManager` | `dbManager`

    - ### Fields inherited from class org.gcube.common.core.porttypes.GCUBEPortType

      `initialized`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Management()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `about(String name)`
    `String` | `existAgentInDB(String agent)`
    `String` | `existAgentInIS(String agent)`
    `String` | `getAddr(String tmp)`
    `String` | `getAgentStatistics(String nothing)`
    `String` | `getAllTransfersInfo(String name)`
    `String` | `getObjectsFromIS(String type)`
    `org.gcube.common.core.contexts.GCUBEServiceContext` | `getServiceContext()`

    - ### Methods inherited from class org.gcube.common.core.porttypes.GCUBEPortType

      `destroy, init, onFailure, onInitialisation, onReady, onStateChange, onUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dbManager

          public org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager

  - ### Constructor Detail

    - #### Management

          public Management()

  - ### Method Detail

    - #### about

          public String about(String name)
                       throws org.gcube.common.core.faults.GCUBEFault,
                              org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault

      Throws:
        `org.gcube.common.core.faults.GCUBEFault`
        `org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault`

    - #### getAddr

          public String getAddr(String tmp)
                         throws org.gcube.common.core.faults.GCUBEFault,
                                org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault

      Throws:
        `org.gcube.common.core.faults.GCUBEFault`
        `org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault`

    - #### getAllTransfersInfo

          public String getAllTransfersInfo(String name)
                                     throws org.gcube.common.core.faults.GCUBEFault,
                                            org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault

      Throws:
        `org.gcube.common.core.faults.GCUBEFault`
        `org.gcube.datatransfer.scheduler.stubs.datatransferscheduler.SampleFault`

    - #### getObjectsFromIS

          public String getObjectsFromIS(String type)

    - #### existAgentInIS

          public String existAgentInIS(String agent)

    - #### existAgentInDB

          public String existAgentInDB(String agent)

    - #### getAgentStatistics

          public String getAgentStatistics(String nothing)

    - #### getServiceContext

          public org.gcube.common.core.contexts.GCUBEServiceContext getServiceContext()

      Specified by:
        `getServiceContext` in class `org.gcube.common.core.porttypes.GCUBEPortType`

Copyright © 2017. All Rights Reserved.